Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 547396

Summary: PPTP connection fails; disconnect after a while with large amount of data send
Product: [Fedora] Fedora EPEL Reporter: Toralf <bugzilla>
Component: pptpAssignee: Paul Howarth <paul>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: el5CC: jskala, paul
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.7.2-8.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-12 23:55:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Toralf 2009-12-14 15:23:55 UTC
Description of problem:
An attempt to connect to a PPTP server seems to succeed, but actual communication fails, and the connection is reset after some time. Closer inspection reveals that the client has given up after sending large amounts of data, and receiving nothing, i.e. the system log has

Dec 14 15:54:29 i58524 pppd[24908]: Modem hangup
Dec 14 15:54:29 i58524 pppd[24908]: Connect time 2.1 minutes.
Dec 14 15:54:29 i58524 pppd[24908]: Sent 1960074227 bytes, received 0 bytes.
Dec 14 15:54:29 i58524 pppd[24908]: MPPE disabled

I don't think I'll go into further detail, as the problem appears to be identical to Fedora Bug 470676. Also, upgrading to the fc10 package seems to help, so I'm assuming all that's required is a rebuild with a slightly newer upstream version.

Version-Release number of selected component (if applicable):
1.7.1-4.el5

Comment 1 Fedora Update System 2009-12-23 14:14:57 UTC
pptp-1.7.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pptp-1.7.2-8.el5

Comment 2 Fedora Update System 2009-12-24 03:51:41 UTC
pptp-1.7.2-8.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1051

Comment 3 Fedora Update System 2010-01-12 23:55:54 UTC
pptp-1.7.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.